Bug 1666785 - conflicts between attempted installs of i686 and x86_64
Summary: conflicts between attempted installs of i686 and x86_64
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: bind
Version: 8.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: rc
: 8.0
Assignee: Petr Menšík
QA Contact: Petr Sklenar
URL:
Whiteboard:
Depends On: 1680920
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-16 14:43 UTC by Petr Sklenar
Modified: 2020-06-04 09:12 UTC (History)
2 users (show)

Fixed In Version: bind-9.11.4-21.P2.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 22:13:07 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3552 None None None 2019-11-05 22:13:28 UTC

Description Petr Sklenar 2019-01-16 14:43:45 UTC
Description of problem:
conflicts between attempted installs of i686 and x86_64

Version-Release number of selected component (if applicable):
bind-32:9.11.4-15.P2.el8.x86_64

How reproducible:
conflicts between attempted installs of i686 and x86_64

Steps to Reproduce:
1. yum install bind\*.i686 bind\*.x86_64


Actual results:
> Error: Transaction check error:
>   file /usr/include/bind9/isc/platform.h conflicts between attempted installs of bind-lite-devel-32:9.11.4-15.P2.el8.i686 and bind-lite-devel-32:9.11.4-15.P2.el8.x86_64
>   file /usr/include/bind9-export/config.h conflicts between attempted installs of bind-export-devel-32:9.11.4-15.P2.el8.i686 and bind-export-devel-32:9.11.4-15.P2.el8.x86_64
>   file /usr/include/bind9-export/isc/platform.h conflicts between attempted installs of bind-export-devel-32:9.11.4-15.P2.el8.i686 and bind-export-devel-32:9.11.4-15.P2.el8.x86_64
>   file /usr/include/bind9/config.h conflicts between attempted installs of bind-devel-32:9.11.4-15.P2.el8.i686 and bind-devel-32:9.11.4-15.P2.el8.x86_64

Expected results:
no conflict

Additional info:
https://liver3.lab.eng.brq.redhat.com/jenkins/view/EWA/job/ewa-regression-tests/1027/console

Comment 1 Petr Menšík 2019-01-16 14:52:17 UTC
Requires fix already in Fedora, commit https://src.fedoraproject.org/rpms/bind/c/2ac37f7a75a3ccbd7e7263c7e897c1c3033be09e?branch=master
Conflicting packages are bind-devel and bind-export-devel.

Because misconfiguration of internal types used type in platform.h are different between platforms.

Comment 12 errata-xmlrpc 2019-11-05 22:13:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3552


Note You need to log in before you can comment on or make changes to this bug.